<?php

namespace App\Modules\Hr\controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\View;

class HrViewController extends Controller
{
    /**
     * Show time log index
     */
    public function timeLogIndex()
    {
        return View::make('hr::time-log.index');
    }

    /**
     * Show admin time log index
     */
    public function adminTimeLogIndex()
    {
        return View::make('hr::admin.time-log.index');
    }

    /**
     * Show leave requests index
     */
    public function leaveRequestsIndex()
    {
        return View::make('hr::leave-requests.index');
    }

    /**
     * Show admin leave requests index
     */
    public function adminLeaveRequestsIndex()
    {
        return View::make('hr::admin.leave-requests.index');
    }

    /**
     * Show stats index
     */
    public function statsIndex()
    {
        return View::make('hr::stats.index');
    }

    /**
     * Show admin stats index
     */
    public function adminStatsIndex()
    {
        return View::make('hr::admin.stats.index');
    }

    /**
     * Show reports index
     */
    public function reportsIndex()
    {
        return View::make('hr::reports.index');
    }

    /**
     * Show admin reports index
     */
    public function adminReportsIndex()
    {
        return View::make('hr::admin.reports.index');
    }
} 